| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# firstterm

$Revision: 1.3 $

$Date: 2002/06/12 11:18:10 $

firstterm — The first occurrence of a term

## Synopsis

### Mixed Content Model

    firstterm ::=
    (#PCDATA|acronym|emphasis|trademark|link|olink|ulink|anchor|
     remark|subscript|superscript|inlinegraphic|inlinemediaobject|
     indexterm|beginpage)*

### Attributes

Common attributes

Name | Type | Default
linkend | IDREF | None

## Description

This element marks the first occurrence of a word or term in a given context.

### Processing expectations

Formatted inline. `FirstTerm`s are often given special typographic treatment, such as italics.

### Parents

These elements contain firstterm: `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `emphasis`, `entry`, `foreignphrase`, `glosssee`, `glossseealso`, `glossterm`, `lineannotation`, `link`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `para`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `quote`, `refentrytitle`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `ulink`.

### Children

The following elements occur in firstterm: `acronym`, `anchor`, `beginpage`, `emphasis`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `link`, `olink`, `remark`, `subscript`, `superscript`, `trademark`, `ulink`.

## Attributes

linkend

  `Linkend` points to a related element, perhaps the `Glossary` definition of the term.

## See Also

`glossterm`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    In an <firstterm>Object Oriented</firstterm> programming language,
    data and procedures (called <glossterm>methods</glossterm>) are
    bound together.
    </para>

In an Object Oriented programming language, data and procedures (called methods) are bound together.

firstname |  | footnote

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.